<?php
/**
 * Additional/overwritten configuration parts
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get a configuration instance for shorter lines
$cfg = FrameworkConfiguration::getInstance();

// CFG: DEFAULT-COMMAND
$cfg->setConfigEntry('default_command', "home");

// CFG: PAGE-WITH-NEWS
$cfg->setConfigEntry('page_with_news', "home");

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', "index.php?app={?app_short_name?}&amp;page=do_form");

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', "post");

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', "_self");

// CFG: REGISTER-REQUIRES-EMAIL
$cfg->setConfigEntry('register_requires_email', "Y");

// CFG: REGISTER-INCLUDES-PROFILE
$cfg->setConfigEntry('register_includes_profile', "Y");

// CFG: REGISTER-PERSONAL-DATA
$cfg->setConfigEntry('register_personal_data', "Y");

// CFG: REGISTER-EMAIL-UNIQUE
$cfg->setConfigEntry('register_email_unique', "Y");

// CFG: CHAT-ENABLED-ICQ
$cfg->setConfigEntry('chat_enabled_icq', "Y");

// CFG: CHAT-ENABLED-JABBER
$cfg->setConfigEntry('chat_enabled_jabber', "Y");

// CFG: CHAT-ENABLED-YAHOO
$cfg->setConfigEntry('chat_enabled_yahoo', "Y");

// CFG: CHAT-ENABLED-AOL
$cfg->setConfigEntry('chat_enabled_aol', "Y");

// CFG: CHAT-ENABLED-MSN
$cfg->setConfigEntry('chat_enabled_msn', "Y");

// CFG: USER-REGISTRATION
$cfg->setConfigEntry('user_registration_class', "ShipSimuRegistration");

// CFG: USER-LOGIN-CLASS
$cfg->setConfigEntry('user_login_class', "ShipSimuUserLogin");

// CFG: GUEST-LOGIN-CLASS
$cfg->setConfigEntry('guest_login_class', "ShipSimuGuestLogin");

// CFG: USER-STATUS-REGISTER
$cfg->setConfigEntry('user_status_unconfirmed', "UNCONFIRMED");

// CFG: USER-STATUS-GUEST
$cfg->setConfigEntry('user_status_guest', "GUEST");

// CFG: USER-STATUS-CONFIRMED
$cfg->setConfigEntry('user_status_confirmed', "CONFIRMED");

// CFG: LOGIN-HELPER
$cfg->setConfigEntry('login_helper_class', "ShipSimuLoginHelper");

// CFG: LOGIN-METHOD
$cfg->setConfigEntry('auth_method_class', "CookieAuth");

// CFG: APP-LOGIN-URL
$cfg->setConfigEntry('app_login_url', "index.php?app=ship-simu&page=login_area");

// CFG: LOGIN-FAILED-URL
$cfg->setConfigEntry('login_failed_url', "index.php?app=ship-simu&page=login_failed");

// CFG: LOGOUT-DONE-URL
$cfg->setConfigEntry('logout_done_url', "index.php?app=ship-simu&page=logout_done");

// CFG: LOGIN-USER-STATUS-URL
$cfg->setConfigEntry('login_user_status_url', "index.php?app=ship-simu&page=login_area&action=login_status_problem");

// CFG: LOGIN-DEFAULT-ACTION
$cfg->setConfigEntry('login_default_action', "welcome");

// CFG: NEWS-READER-CLASS
$cfg->setConfigEntry('news_reader_class', "DefaultNewsReader");

// CFG: NEWS-DOWNLOAD-CLASS
$cfg->setConfigEntry('news_download_class', "NewsDownloadFilter");

// CFG: NEWS-PROCESS-CLASS
$cfg->setConfigEntry('news_process_class', "NewsProcessFilter");

// CFG: USER-AUTH-CLASS
$cfg->setConfigEntry('user_auth_class', "UserAuthFilter");

// CFG: USER-UPDATE-CLASS
$cfg->setConfigEntry('user_update_class', "UserUpdateFilter");

// CFG: NEWS-HOME-LIMIT
$cfg->setConfigEntry('news_home_limit', 10);

// CFG: NEWS-LOGIN-AREA-LIMIT
$cfg->setConfigEntry('news_login_area_limit', 15);

// CFG: LOGIN-ENABLED
$cfg->setConfigEntry('login_enabled', "Y");

// CFG: LOGIN-DISABLED-REASON
$cfg->setConfigEntry('login_disabled_reason', "Loginbereich befindet sich noch im Aufbau.");

// CFG: LOGIN-TYPE
$cfg->setConfigEntry('login_type', "username"); // username, email, both

// CFG: GUEST-LOGIN-ALLOWED
$cfg->setConfigEntry('guest_login_allowed', "Y");

// CFG: EMAIL-CHANGE-CONFIRMATION
$cfg->setConfigEntry('email_change_confirmation', "Y");

// CFG: EMAIL-CHANGE-ALLOWED
$cfg->setConfigEntry('email_change_allowed', "Y");

// CFG: GUEST-LOGIN-USERNAME
$cfg->setConfigEntry('guest_login_username', "guest");

// CFG: GUEST-LOGIN-PASSWORD
$cfg->setConfigEntry('guest_login_password', "guest");

// CFG: LOGIN-WELCOME-ACTION-CLASS
$cfg->setConfigEntry('login_welcome_action_class', "ShipSimuLoginAction");

// CFG: LOGIN-LOGOUT-ACTION-CLASS
$cfg->setConfigEntry('login_logout_action_class', "ShipSimuLogoutAction");

// CFG: LOGIN-PROFILE-ACTION-CLASS
$cfg->setConfigEntry('login_profile_action_class', "ShipSimuProfileAction");

// CFG: LOGOUT-IMMEDIATE
$cfg->setConfigEntry('logout_immediate', "N");

// [EOF]
?>
