<?php
/**
 * An exception for invalid birthdays (like 13-01-2008)
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class BirthdayInvalidException extends FrameworkException {
	public function __construct (array $birthArray, $code) {
		// Add a message around the missing class
		$message = sprintf("Das Geburtsdatum <u>%s</u> ist leider falsch.",
			date("d.m.Y", mktime(
				0, 0, 0,
				$birthArray[1],
				$birthArray[2],
				$birthArray[0]
			))
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
